package intrinsic.mx.effects.effectClasses;

public class FadeInstance extends intrinsic.mx.effects.effectClasses.TweenEffectInstance {

	/** Accessors */

	/** Variables */
	public double alphaFrom;
	public double alphaTo;
	public intrinsic.mx.effects.Tween tween;
	public intrinsic.Function easingFunction;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public FadeInstance() {
}

public FadeInstance(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void play();
public native void onTweenUpdate(Object arg0);
public native void onTweenEnd(Object arg0);
public native void initEffect(intrinsic.flash.events.Event arg0);

}
